
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>15 个实用的 PHP 正则表达式 / 憋错料</title>

    <meta name="description" content="15 个实用的 PHP 正则表达式 验证域名检验一个字符串是否是个有效域名 $url = &quot;http://d1h.net/&quot;; if (preg_match('/^(http|https|ftp)://([A-Z0-9][A-Z0-9_-]*(?:.[A-Z0-9][A-Z0-9_-]*)+):?(d+)?/?/i', $url)) { echo &quot;Your url is ok.&quot;; } else { echo &quot;Wrong url.&quot;; } 从一个字符串中 突出某个单词 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">15 个实用的 PHP 正则表达式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>验证域名检验一个字符串是否是个有效域名</p>
<ol>
<li>$url&nbsp;=&nbsp;"<a href="http://d1h.net/" rel="external nofollow noreferrer">http://d1h.net/</a>";</li>
<li>if&nbsp;(preg_match(‘/^(http|https|ftp)://([A-Z0-9][A-Z0-9_-]*(?:.[A-Z0-9][A-Z0-9_-]*)+):?(d+)?/?/i‘,&nbsp;$url))&nbsp;{</li>
<li>echo&nbsp;"Your&nbsp;url&nbsp;is&nbsp;ok.";</li>
<li>}&nbsp;else&nbsp;{</li>
<li>echo&nbsp;"Wrong&nbsp;url.";</li>
<li>}</li>
</ol>
<p><strong>从一个字符串中 突出某个单词</strong></p>
<p>这是一个非常有用的在一个字符串中匹配出某个单词 并且突出它，非常有效的搜索结果</p>
<ol>
<li>$text&nbsp;=&nbsp;"Sample&nbsp;sentence&nbsp;from&nbsp;KomunitasWeb,&nbsp;regex&nbsp;has&nbsp;become&nbsp;popular&nbsp;in&nbsp;web&nbsp;programming.&nbsp;Now&nbsp;we&nbsp;learn&nbsp;regex.&nbsp;According&nbsp;to&nbsp;wikipedia,&nbsp;Regular&nbsp;expressions&nbsp;(abbreviated&nbsp;as&nbsp;regex&nbsp;or</li>
<li>regexp,&nbsp;with&nbsp;plural&nbsp;forms&nbsp;regexes,&nbsp;regexps,&nbsp;or&nbsp;regexen)&nbsp;are&nbsp;written&nbsp;in&nbsp;a&nbsp;formal&nbsp;language&nbsp;that&nbsp;can&nbsp;be&nbsp;interpreted&nbsp;by&nbsp;a&nbsp;regular&nbsp;expression&nbsp;processor";</li>
<li>$text&nbsp;=&nbsp;preg_replace("/b(regex)b/i",&nbsp;‘&lt;span&nbsp;style="background:#5fc9f6"&gt;1&lt;/span&gt;‘,&nbsp;$text);</li>
<li>echo&nbsp;$text;</li>
</ol>
<p>突出查询结果在你的 WordPress 博客里就像刚才我说的，上面的那段代码可以很方便的搜索出结果，而这里是一个更好的方式去执行搜索在某个WordPress的博客上打开你的文件 search.php ，然后找到 方法 the_title() 然后用下面代码替换掉它</p>
<ol>
<li>echo&nbsp;$title;</li>
<li>Now,&nbsp;just&nbsp;before&nbsp;the&nbsp;modified&nbsp;line,&nbsp;add&nbsp;this&nbsp;code:</li>
<li>&lt;php</li>
<li>$title&nbsp;&nbsp;&nbsp;=&nbsp;get_the_title();</li>
<li>$keys=&nbsp;explode("&nbsp;",$s);</li>
<li>$title&nbsp;&nbsp;&nbsp;=&nbsp;preg_replace(‘/(‘.implode(‘|‘,&nbsp;$keys)&nbsp;.‘)/iu‘,</li>
<li>‘&lt;strong&gt;\0&lt;/strong&gt;‘,</li>
<li>$title);</li>
<li>&gt;</li>
<li>Save&nbsp;the&nbsp;search.php&nbsp;file&nbsp;and&nbsp;open&nbsp;style.css.&nbsp;Append&nbsp;the&nbsp;following&nbsp;line&nbsp;to&nbsp;it:</li>
<li>strong.search-excerpt&nbsp;{&nbsp;background:&nbsp;yellow;&nbsp;}</li>
</ol>
<p><strong>从HTML文档中获得全部图片</strong></p>
<p>如果你曾经希望去获得某个网页上的全部图片，这段代码就是你需要的，你可以轻松的建立一个图片下载机器人</p>
<ol>
<li>$images&nbsp;=&nbsp;array();</li>
<li>preg_match_all(‘/(img|src)=("|‘)[^"‘&gt;]+/i‘,&nbsp;$data,&nbsp;$media);</li>
<li>unset($data);</li>
<li>$data=preg_replace(‘/(img|src)("|‘|="|=‘)(.*)/i‘,"$3",$media[0]);</li>
<li>foreach($data&nbsp;as&nbsp;$url)</li>
<li>{</li>
<li>$info&nbsp;=&nbsp;pathinfo($url);</li>
<li>if&nbsp;(isset($info[‘extension‘]))</li>
<li>{</li>
<li>if&nbsp;(($info[‘extension‘]&nbsp;==&nbsp;‘jpg‘)&nbsp;||</li>
<li>($info[‘extension‘]&nbsp;==&nbsp;‘jpeg‘)&nbsp;||</li>
<li>($info[‘extension‘]&nbsp;==&nbsp;‘gif‘)&nbsp;||</li>
<li>($info[‘extension‘]&nbsp;==&nbsp;‘png‘))</li>
<li>array_push($images,&nbsp;$url);</li>
<li>}</li>
<li>}</li>
</ol>
<p><strong>删除重复字母</strong></p>
<p>经常重复输入字母? 这个表达式正适合.</p>
<ol>
<li>$text&nbsp;=&nbsp;preg_replace("/s(w+s)1/i",&nbsp;"$1",&nbsp;$text);</li>
</ol>
<p><strong>删除重复的标点</strong></p>
<p>功能同上，但只是面对标点，白白重复的逗号</p>
<ol>
<li>$text&nbsp;=&nbsp;preg_replace("/.+/i",&nbsp;".",&nbsp;$text);</li>
</ol>
<p><strong>匹配一个XML或者HTML标签</strong></p>
<p>这个简单的函数有两个参数：第一个是你要匹配的标签，第二个是包含XML或HTML的变量，再强调下，这个真的很强大</p>
<ol>
<li>function&nbsp;get_tag(&nbsp;$tag,&nbsp;$xml&nbsp;)&nbsp;{</li>
<li>$tag&nbsp;=&nbsp;preg_quote($tag);</li>
<li>preg_match_all(‘{&lt;‘.$tag.‘[^&gt;]*&gt;(.*?)&lt;/‘.$tag.‘&gt;.‘}‘,</li>
<li>$xml,</li>
<li>$matches,</li>
<li>PREG_PATTERN_ORDER);</li>
<li>return&nbsp;$matches[1];</li>
<li>}</li>
</ol>
<p><strong>匹配具有属性值的XML或者HTML标签</strong></p>
<p>这个功能和上面的非常相似，但是它允许你匹配的标签内部有属性值，例如你可以轻松匹配 &lt;div id=&rdquo;header&rdquo;&gt;</p>
<ol>
<li>function&nbsp;get_tag(&nbsp;$attr,&nbsp;$value,&nbsp;$xml,&nbsp;$tag=null&nbsp;)&nbsp;{</li>
<li>if(&nbsp;is_null($tag)&nbsp;)</li>
<li>$tag&nbsp;=&nbsp;‘\w+‘;</li>
<li>else</li>
<li>$tag&nbsp;=&nbsp;preg_quote($tag);</li>
<li>$attr&nbsp;=&nbsp;preg_quote($attr);</li>
<li>$value&nbsp;=&nbsp;preg_quote($value);</li>
<li>$tag_regex&nbsp;=&nbsp;"/&lt;(".$tag.")[^&gt;]*$attr\s*=\s*".</li>
<li>"([‘\"])$value\\2[^&gt;]*&gt;(.*?)&lt;\/\\1&gt;/"</li>
<li>preg_match_all($tag_regex,</li>
<li>$xml,</li>
<li>$matches,</li>
<li>PREG_PATTERN_ORDER);</li>
<li>return&nbsp;$matches[3];</li>
<li>}</li>
</ol>
<p><strong>匹配十六进制颜色值</strong></p>
<p>web开发者的另一个有趣的工具，它允许你匹配和验证十六进制颜色值.</p>
<ol>
<li>$string&nbsp;=&nbsp;"#555555";</li>
<li>if&nbsp;(preg_match(‘/^#(?:(?:[a-fd]{3}){1,2})$/i‘,&nbsp;$string))&nbsp;{</li>
<li>echo&nbsp;"example&nbsp;6&nbsp;successful.";</li>
<li>}</li>
</ol>
<p><strong>查找页面 title</strong></p>
<p>这段代码方便查找和打印 网页 &lt;title&gt; 和&lt;/title&gt; 之间的内容</p>
<ol>
<li>$fp&nbsp;=&nbsp;fopen("http://www.catswhocode.com/blog","r");</li>
<li>while&nbsp;(!feof($fp)&nbsp;){</li>
<li>$page&nbsp;.=&nbsp;fgets($fp,&nbsp;4096);</li>
<li>}</li>
<li>$titre&nbsp;=&nbsp;eregi("&lt;title&gt;(.*)&lt;/title&gt;",$page,$regs);</li>
<li>echo&nbsp;$regs[1];</li>
<li>fclose($fp);</li>
</ol>
<p><strong>解释 Apache 日志</strong></p>
<p>大多数网站使用的都是著名的Apache服务器，如果你的网站也是，那么使用PHP正则表达式解析 apache 服务器日志 怎么样？</p>
<ol>
<li>//Logs:&nbsp;Apache&nbsp;web&nbsp;server</li>
<li>//Successful&nbsp;hits&nbsp;to&nbsp;HTML&nbsp;files&nbsp;only.&nbsp;Useful&nbsp;for&nbsp;counting&nbsp;the&nbsp;number&nbsp;of&nbsp;page&nbsp;views.</li>
<li>‘^((?#client&nbsp;IP&nbsp;or&nbsp;domain&nbsp;name)S+)s+((?#basic&nbsp;authentication)S+s+S+)s+[((?#date&nbsp;and&nbsp;time)[^]]+)]s+"(?:GET|POST|HEAD)&nbsp;((?#file)/[^&nbsp;?"]+?.html?)??((?#parameters)[^&nbsp;?"]+)?&nbsp;HTTP/[0-9.]+"s+(?#status&nbsp;code)200s+((?#bytes&nbsp;transferred)[-0-9]+)s+"((?#referrer)[^"]*)"s+"((?#user&nbsp;agent)[^"]*)"$‘</li>
<li>//Logs:&nbsp;Apache&nbsp;web&nbsp;server</li>
<li>//404&nbsp;errors&nbsp;only</li>
<li>‘^((?#client&nbsp;IP&nbsp;or&nbsp;domain&nbsp;name)S+)s+((?#basic&nbsp;authentication)S+s+S+)s+[((?#date&nbsp;and&nbsp;time)[^]]+)]s+"(?:GET|POST|HEAD)&nbsp;((?#file)[^&nbsp;?"]+)??((?#parameters)[^&nbsp;?"]+)?&nbsp;HTTP/[0-9.]+"s+(?#status&nbsp;code)404s+((?#bytes&nbsp;transferred)[-0-9]+)s+"((?#referrer)[^"]*)"s+"((?#user&nbsp;agent)[^"]*)"$‘</li>
</ol>
<p><strong>使用智能引号代替双引号</strong></p>
<p>如果你是一个印刷爱好者，你将喜欢这个允许用智能引号代替双引号的正则表达式，这个正则被WORDPRESS在其内容上使用</p>
<ol>
<li>preg_replace(‘B"b([^"x84x93x94rn]+)b"B‘,&nbsp;‘?1?‘,&nbsp;$text);</li>
</ol>
<p><strong>检验密码的复杂度</strong></p>
<p>这个正则表达式将检测输入的内容是否包含6个或更多字母，数字，下划线和连字符. 输入必须包含至少一个大写字母，一个小写字母和一个数字</p>
<p>‘A(?=[-_a-zA-Z0-9]*?[A-Z])(?=[-_a-zA-Z0-9]*?[a-z])(?=[-_a-zA-Z0-9]*?[0-9])[-_a-zA-Z0-9]{6,}z‘</p>
<p><strong>WordPress: 使用正则获得帖子上的图片</strong></p>
<p>我知道很多人是WORDPRESS的使用者，你可能会喜欢并且愿意使用 那些从帖子的内容检索下来的图像代码。使用这个代码在你的BLOG只需要复制下面代码到你的某个文件里</p>
<ol>
<li>&lt;php&nbsp;if&nbsp;(have_posts())&nbsp;:&nbsp;?&gt;</li>
<li>&lt;php&nbsp;while&nbsp;(have_posts())&nbsp;:&nbsp;the_post();&nbsp;?&gt;</li>
<li>&lt;php</li>
<li>$szPostContent&nbsp;=&nbsp;$post-&gt;post_content;</li>
<li>$szSearchPattern&nbsp;=&nbsp;‘~&lt;img&nbsp;[^&gt;]*&nbsp;/&gt;~‘;</li>
<li>//&nbsp;Run&nbsp;preg_match_all&nbsp;to&nbsp;grab&nbsp;all&nbsp;the&nbsp;images&nbsp;and&nbsp;save&nbsp;the&nbsp;results&nbsp;in&nbsp;$aPics</li>
<li>preg_match_all(&nbsp;$szSearchPattern,&nbsp;$szPostContent,&nbsp;$aPics&nbsp;);</li>
<li>//&nbsp;Check&nbsp;to&nbsp;see&nbsp;if&nbsp;we&nbsp;have&nbsp;at&nbsp;least&nbsp;1&nbsp;image</li>
<li>$iNumberOfPics&nbsp;=&nbsp;count($aPics[0]);</li>
<li>if&nbsp;(&nbsp;$iNumberOfPics&nbsp;&gt;&nbsp;0&nbsp;)&nbsp;{</li>
<li>//&nbsp;Now&nbsp;here&nbsp;you&nbsp;would&nbsp;do&nbsp;whatever&nbsp;you&nbsp;need&nbsp;to&nbsp;do&nbsp;with&nbsp;the&nbsp;images</li>
<li>//&nbsp;For&nbsp;this&nbsp;example&nbsp;the&nbsp;images&nbsp;are&nbsp;just&nbsp;displayed</li>
<li>for&nbsp;(&nbsp;$i=0;&nbsp;$i&nbsp;&lt;&nbsp;$iNumberOfPics&nbsp;;&nbsp;$i++&nbsp;)&nbsp;{</li>
<li>echo&nbsp;$aPics[0][$i];</li>
<li>};</li>
<li>};</li>
<li>endwhile;</li>
<li>endif;</li>
<li>&gt;</li>
</ol>
<p><strong>自动生成笑脸图案</strong></p>
<p>被WordPress使用的另一个方法, 这段代码可使你把图像自动更换一个笑脸符号</p>
<ol>
<li>$texte=‘A&nbsp;text&nbsp;with&nbsp;a&nbsp;smiley&nbsp;‘;</li>
<li>echo&nbsp;str_replace(‘:-)‘,‘&lt;img&nbsp;src="smileys/souriant.png"&gt;‘,$texte);</li>
</ol>
<p>移除图片的链接</p>
<ol>
<li>&lt;meta&nbsp;http-equiv="Content-Type"&nbsp;content="text/html;&nbsp;charset=utf-8"&nbsp;/&gt;</li>
<li>&lt;php</li>
<li>$str&nbsp;=&nbsp;‘</li>
<li>&lt;a&nbsp;href="http://www.jobbole.com/"&gt;jobbole&lt;/a&gt;其他字符</li>
<li>&lt;a&nbsp;href="http://www.sohu.com/"&gt;sohu&lt;/a&gt;</li>
<li>&lt;a&nbsp;href="http://www.sohu.com/"&gt;&lt;img&nbsp;src="http://www.fashion-press.net/img/news/3176/mot_06.jpg"&nbsp;/&gt;&lt;/a&gt;</li>
<li>&lt;br&gt;‘;</li>
<li>//echo&nbsp;preg_replace("/(&lt;a.*?&gt;)(&lt;img.*?&gt;)(&lt;\/a&gt;)/",&nbsp;‘$2‘,&nbsp;$str);</li>
<li>echo&nbsp;preg_replace("/(&lt;a.*?&gt;)(&lt;img.*?&gt;)(&lt;\/a&gt;)/",&nbsp;‘\2‘,&nbsp;$str);</li>
<li>&gt;</li>
</ol>
<p>以上就是15个超实用的php正则表达式</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-27 04:29:23 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>15 个实用的 PHP 正则表达式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M62BZvM.html" rel="bookmark">&lbrack;转&rsqb;验证E-mail、用户名、社保号、IP地址等10个实用的PHP正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 验证E-mail地址 这是一个用于验证电子邮件的正则表达式.但它并不是高效.完美的解决方案.在此不推荐使用. $email = &quot;[email protected]&quot;; if (preg_match('/^[^0-9][a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)*[@][a-zA-Z0-9_]+([.][a-zA-Z0-9_]+)*[.][a-zA-Z]{2,4}$/',$email)) { echo &quot;Your email is ok.&quot;;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xaW2z3.html" rel="bookmark">10个实用的PHP正则表达式汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文 10个实用的PHP正则表达式汇总 正则表达式是程序开发中一个重要的元素,它提供用来描述或匹配文本的字符串,如特定的字符.词或算式等.但在某些情况下,用正则表达式去验证一个字符串比较复杂和费时.本文为你介绍10种常见的实用PHP正则表达式的写法,希望对你的工作有所帮助. 1. 验证E-mail地址 这是一个用于验证电子邮件的正则表达式.但它并不是高效.完美的解决方案.在此不推荐使用. $email = &quot;[email protected]&quot;; if (preg_match('/^[			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lGdYPM.html" rel="bookmark">15个实用的Linux find命令示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				妈咪,我找到了! -- 15个实用的Linux find命令示例 http://www.oschina.net/translate/15-practical-linux-find-command-examples?p=2#comments 爹地,我找到了! -- 15个极好的Linux find命令示例 http://www.oschina.net/translate/15-practical-unix-linux-find-command-examples-part-2 15个实用的Linux			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV8vEx3.html" rel="bookmark">妈咪，我找到了&excl; -- 15个实用的Linux find命令示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				妈咪,我找到了! -- 15个实用的Linux find命令示例 英文原文:Mommy, I found it! — 15 Practical Linux Find Command Examples 标签: Linux 659人收藏此文章, 我要收藏66号公路 推荐于 3年前 (共 8 段, 翻译完成于 09-26) (44评 参与翻译(1人): 青崖白鹿 仅中文 | 中英文对照 | 仅英文 | 打印此文章 除了在一个目录结构下查找文件这种基本的操作,你还可以用find命令实现一些实用的操作,使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBbLEKM.html" rel="bookmark">15个常用的javaScript正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要 收集整理了15个常用的javaScript正则表达式,其中包括用户名.密码强度.整数.数字.电子邮件地址(Email).手机号码.身份证号.URL地址. IPv4地址. 十六进制颜色. 日期. QQ号码. 微信号.车牌号.中文正则.表单验证处理必备,赶紧收藏吧! 1 用户名正则 //用户名正则,4到16位(字母,数字,下划线,减号) var uPattern = /^[a-zA-Z0-9_-]{4,16}$/; //输出 true console.log(uPattern.test(&quot;iF			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mzj7alM.html" rel="bookmark">来自极客头条的 15个常用的javaScript正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要收集整理了15个常用的javaScript正则表达式,其中包括用户名.密码强度.整数.数字.电子邮件地址(Email).手机号码.身份证号.URL地址. IPv4地址. 十六进制颜色. 日期. QQ号码. 微信号.车牌号.中文正则.表单验证处理必备,赶紧收藏吧! 用户名正则 //用户名正则,4到16位(字母,数字,下划线,减号) var uPattern = /^[a-zA-Z0-9_-]{4,16}$/; //输出 true console.log(uPattern.test(&quot;iFat3			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qELZP3.html" rel="bookmark">10个实用的PHP正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式是程序开发中一个重要的元素,它提供用来描述或匹配文本的字符串,如特定的字符.词或算式等.但在某些情况下,用正则表达式去验证一个字符串比较复杂和费时.本文为你介绍10种常见的实用PHP正则表达式的写法,希望对你的工作有所帮助. 1. 验证E-mail地址 这是一个用于验证电子邮件的正则表达式.但它并不是高效.完美的解决方案.在此不推荐使用. 1 $email = &quot;[email protected]&quot;; 2 if (preg_match('/^[^0-9][a-zA-Z0-9_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGnqPZ4.html" rel="bookmark">15个实用的Linux find命令示例&lpar;一&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				除了在一个目录结构下查找文件这种基本的操作,你还可以用find命令实现一些实用的操作,使你的命令行之旅更加简易. 本文将介绍15种无论是于新手还是老鸟都非常有用的Linux find命令. 首先,在你的home目录下面创建下面的空文件,来测试下面的find命令示例. ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 # vim create_sample_files.sh touch MybashProgram			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDN8PY3.html" rel="bookmark">15个实用生活小窍门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.[生活窍门:糕点的保存]保存糕点时,可在贮藏糕点的密封容器里加1片新鲜的面包,当面包发硬时,再及时更换一块新鲜的,这样糕点能保鲜较长时间. 2.[生活窍门]画眼线的小技巧:要画好一双细致的眼线,可以先把手肘固定在桌上,然后平放一块小镜子,让双眼朝下望向镜子,就可以放心描画眼线了. 3721健康网( 3.[生活窍门]电视机或电脑着火时,先拔掉插头或关上总开关,再用毯状物扑灭火焰.切勿用水或灭火器救火,因机体内可能仍有残余电力,会引致电击. 3721健康网( 4.[生活窍门]在粮食中放少量干海带			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02jxA0.html" rel="bookmark" class="title">Java 并发编程 - 3</a>
					<div>
						JDK 1.5 之前的同步容器 JDK 1.5 之前, 主要包括: 同步容器 (Vector 和 Hashtable) 同步包装类 (Collections.synchronizedXxx) 这些类的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n3Zmdm0.html" rel="bookmark" class="title">php 的mysql操作类</a>
					<div>
						亲自测试,网上其他版本没法用,有很多错误,这是本人亲自测试用的,绝对增删改查都可以. &lt;?php /** * Created by Netbeans. * User: Lugo * Date:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KGam0.html" rel="bookmark" class="title">Medical Image Process&lowbar;NIfTI 文件头文件解析</a>
					<div>
						1. NIfTI是常见的医学图像格式文件之一.标准的NIfTI的扩展名为.nii, 它里面包含了头文件以及图像资料:见下图所示: hdr 是此文件的头文件: filetype: 0--Analyze  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXY7B80.html" rel="bookmark" class="title">java&period;lang&period;NoSuchMethodError&colon; org&period;apache&period;xerces&period;impl&period;xs&period;XMLSchemaLoader&period;loadGrammar</a>
					<div>
						今天在服务器部署的时候,发生了这个问题,明明在本机上使用的时候,没有发生错误,但是发布到服务器上的时候却发生了这个错误,百度了好久,发现遇到这个问题的人很多,但是却没有一个比较满意的答案,后来还是通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPNkoa3.html" rel="bookmark" class="title">Android开发学习笔记--计时器的应用实例</a>
					<div>
						为了了解安卓计时器的用法,写了一个秒表的应用,正是这个秒表,让我对Android应用的速度大跌眼镜,我设置了一个计时器,10ms更新一次显示的时间,然后更标准的时间一比较发现,跑10s就有一秒的时间误 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZVP2J3.html" rel="bookmark" class="title">上班第二天</a>
					<div>
						今天上午,和tim 交谈了一会,把我的工作给确认了,和我想象的一样,不过还好是问了tim一下,不然我就费事了,这个项目由于是迁移工作framework to core .我刚开始想的是用界面驱动,也就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nEmgxM.html" rel="bookmark" class="title">AngularJS自定义指令</a>
					<div>
						一.restrict属性: 二.replace属性    默认为false,若设置为true,则会移除用户在html中的内容. &lt;hello&gt; &lt;div&gt;这里是指令内部的内容. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4peAqgM.html" rel="bookmark" class="title">四则运算个人项目进展</a>
					<div>
						一.项目要求 基本要求:将10-20道四则运算题目写入文档,程序读取并输出题目,同时计算出正确结果.使用者对每道题目计算答案,答对进行提示,答错输出正确结果.分别记录回答正确.错误的数目并输出.四则运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pepLRM.html" rel="bookmark" class="title">there is no source code available for the current location的解决方法</a>
					<div>
						今天遇到该问题,clean and rebuild 不行. Tools-&gt;Options-&gt;Debugging-&gt;General-&gt;去掉Require source files ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47qOAb0.html" rel="bookmark" class="title">LeetCode 598&period; Range Addition II （区域范围内加法）</a>
					<div>
						Given an m * n matrix M initialized with all 0's and several update operations. Operations are repre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KqVp94.html" rel="bookmark" class="title">SQL 一条SQL语句 统计 各班总人数，男女各总人数 ，各自 男女 比例</a>
					<div>
						select  sClass 班级,count(*)  班级学生总人数,sum(case when sGender=0 then 1 else 0 end) 女生人数,sum(case when sG ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXL7rXM.html" rel="bookmark" class="title">程序的转化 &amp;amp&semi; 明确的初始化操作 &amp;amp&semi; 参数的初始化 &amp;amp&semi; 返回值的初始化</a>
					<div>
						一丶程序的转化考察以下代码: 1 X Foo() 2 { 3 X xx; 4 //... 5 return xx; 6 } 看到这个, 你可能会有两个想法:1. 每次 Foo() 被调用, 就会传回  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j1YaZM.html" rel="bookmark" class="title">黑马程序员&mdash;易混淆的知识</a>
					<div>
						String和StringBuffer类区别1.String 是定长的例如:String s1=&quot;abc&quot;;s1=&quot;egf&quot;;StringBuffer类:是变成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZaKn3.html" rel="bookmark" class="title">Asp 解析 XML并分页显示</a>
					<div>
						Asp 解析 XML并分页显示 Asp 解析 XML并分页显示,示例源码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjNpl0.html" rel="bookmark" class="title">国内研发团队普遍常见问题</a>
					<div>
						下面是国内研发团队普遍常见问题,大家说说各个岗位怎么提高质量和效率吧. 一.产品设计 1.业务没啥清晰的战略核心主干与目标.业务需求不会解构洞察.客户提什么就做什么,业务需求和软件功能要求混在一起 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPb774.html" rel="bookmark" class="title">HTML基础知识回顾整理</a>
					<div>
						20151008~20151101所学HTML内容回顾整理 HTML (标签.div+Css)+ JS(js语法,dom,jquery) HTML: Hyper Text Mankup Languag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nRkxN0.html" rel="bookmark" class="title">spring AOP 前后增强 实现的接口</a>
					<div>
						执行前增强:org.springframework.aop.MethodBeforeAdvice,重写方法:public void before(Method args0,Object[] args1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/351NYX3.html" rel="bookmark" class="title">psutil官方文档</a>
					<div>
						psutil documentation¶ Quick links Home page Install Blog Forum Download Development guide What’s new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5KDmM.html" rel="bookmark" class="title">网页手机横屏竖屏下字体在大小不一样</a>
					<div>
						@media screen and (max-device-width: 320px) {body {-webkit-text-size-adjust:none}}@media screen and  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQEY1M.html" rel="bookmark" class="title">codevs 1576最长严格上升子序列</a>
					<div>
						传送门 1576 最长严格上升子序列 时间限制: 1 s 空间限制: 256000 KB 题目等级 : 黄金 Gold 题目描述 Description 给一个数组a1, a2 ... an,找到最长 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
